man(7)

NAME
cgalsurf - 3D surface mesh extraction from volumetric image

SYNOPSIS
cgalsurf input.inr threshold x0 y0 z0 r2 angle surf-size approx maxnode output.off <randomseed> <init-size>

DESCRIPTION
The cgalsurf utility extracts a surface mesh at a specified threshold (level-set) from a volumetric image - either in binary or gray-scale values, using the CGAL library (http://cgal.org). This utility is adapted based on the 3D surface generation demo in the CGAL package.

Please see https://doc.cgal.org/latest/Surface_mesher/ for details regarding the underlying algorithm.

OPTIONS
This program accepts the following input parameters (all but the last two parameters are required):

input.inr
    The input volumetric image in the INR format

threshold
    A number representing the threshold at which the surface is extracted.

x0  The bounding sphere center x-coordinate

y0  The bounding sphere center y-coordinate

z0  The bounding sphere center y-coordinate

r2  The bounding sphere's radius squared

angle
    Lower-bound of the angles (in degree) in surface triangles

surf-size
    Lower-bound of the edge-length (in voxel unit) in surface triangles

approx
    Upper-bound of the deviation distance (in voxel unit) of the surface triangles to the voxelated boundaries

maxnode
    Upper-bound of the node numbers in the output mesh

output.off
    Output surface mesh in the OFF format

randomseed|(optional, default: -1)
    Random number generator seed (large positive integer, -1 to use system clock)

init-size|(optional)
    The number of nodes in the initial surface (sampled on the bounding sphere) cgalmesh(7), cgalsimp2(7), cgalpoly(7), cork(7), meshfix(7), jmeshlib(7)

AUTHOR
Laurent Rineau, Mariette Yvinec, and Qianqian Fang (fangqq@gmail.com)